[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpsettimeofday

Set kernel time

## Declaration

Source position: bunxh.inc line 112

`function fpsettimeofday(`
`tp: ptimeval;`
`tzp: ptimezone`
`):cint;`

## Description

FpSetTimeOfDay sets the kernel time to the number of seconds since 00:00, January 1 1970, GMT specified in the tp record. This time NOT corrected any way, not taking into account timezones, daylight savings time and so on.

It is simply a wrapper to the kernel system call.

## See also

#rtl.unix.FPGetTimeOfDay |  | Return kernel time of day in GMT